Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputBillingDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputBillingDataDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputBillingDataDetail.cs	(revision 484)
@@ -201,13 +201,13 @@
                 strcmd.AppendFormat(", {0}", work.ConstructionCode);
                 strcmd.AppendFormat(", {0}", work.ConstructionRowCnt);
                 strcmd.AppendFormat(", {0}", work.ConstructionColCnt);
-                strcmd.AppendFormat(", '{0}'", work.FieldName);
-                strcmd.AppendFormat(", '{0}'", work.SecondString);
+                strcmd.AppendFormat(", {0}", SeparateString(work.FieldName));
+                strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));
                 strcmd.AppendFormat(", {0}", work.BillPrice);
                 strcmd.AppendFormat(", {0}", work.HighwPrice);
                 strcmd.AppendFormat(", {0}", work.HardwPrice);
                 strcmd.AppendFormat(", {0}", work.IndsWasteTax);
-                strcmd.AppendFormat(", '{0}'", work.Note);
+                strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                 strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
                 strcmd.Append(", NOW()");
@@ -263,13 +263,13 @@
                     strcmd.AppendFormat(", {0}", work.ConstructionCode);
                     strcmd.AppendFormat(", {0}", work.ConstructionRowCnt);
                     strcmd.AppendFormat(", {0}", work.ConstructionColCnt);
-                    strcmd.AppendFormat(", '{0}'", work.FieldName);
-                    strcmd.AppendFormat(", '{0}'", work.SecondString);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FieldName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));
                     strcmd.AppendFormat(", {0}", work.BillPrice);
                     strcmd.AppendFormat(", {0}", work.HighwPrice);
                     strcmd.AppendFormat(", {0}", work.HardwPrice);
                     strcmd.AppendFormat(", {0}", work.IndsWasteTax);
-                    strcmd.AppendFormat(", '{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
                     strcmd.Append(", NOW()");
@@ -313,13 +313,13 @@
                 strcmd.AppendFormat(", ConstructionCode = {0}", data.ConstructionCode);
                 strcmd.AppendFormat(", ConstructionRowCnt = {0}", data.ConstructionRowCnt);
                 strcmd.AppendFormat(", ConstructionColCnt = {0}", data.ConstructionColCnt);
-                strcmd.AppendFormat(", FieldName = '{0}'", data.FieldName);
-                strcmd.AppendFormat(", SecondString = '{0}'", data.SecondString);
+                strcmd.AppendFormat(", FieldName = {0}", SeparateString(data.FieldName));
+                strcmd.AppendFormat(", SecondString = {0}", SeparateString(data.SecondString));
                 strcmd.AppendFormat(", BillPrice = {0}", data.BillPrice);
                 strcmd.AppendFormat(", HighwPrice = {0}", data.HighwPrice);
                 strcmd.AppendFormat(", HardwPrice = {0}", data.HardwPrice);
                 strcmd.AppendFormat(", IndsWasteTax = {0}", data.IndsWasteTax);
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", Note = {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -377,10 +377,10 @@
                         strcmd.AppendFormat(" ConstructionColCnt = {0}", (int)value);
                         break;
                     case (int)NameColumn.FieldName:
-                        strcmd.AppendFormat(" FieldName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FieldName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.SecondString:
-                        strcmd.AppendFormat(" SecondString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SecondString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.BillPrice:
                         strcmd.AppendFormat(" BillPrice = {0}", (int)value);
@@ -395,7 +395,7 @@
                         strcmd.AppendFormat(" IndsWasteTax = {0}", (int)value);
                         break;
                     case (int)NameColumn.Note:
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.DeleteFlg:
                         strcmd.AppendFormat(" DeleteFlg = {0}", (int)value);
@@ -512,8 +512,6 @@
         /// <summary>
         /// 行ロック
         /// </summary>
-        /// <param name="MaterialItemCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLock(int CompanyCode, int TargetDate, int SeqNo, int LineCount, int LabourKind, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs	(revision 484)
@@ -68,6 +68,62 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region SELECT　SQL作成
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM InvoiceData", CreateFieldNameList());
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 請求書データ検索(１件取得)
         /// <summary>
         /// 請求書データ検索(複数件取得)
@@ -198,14 +254,14 @@
                 strcmd.AppendFormat(", {0}", data.SeqNo.ToString());
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.CretateDate.ToShortDateString());
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.RequestDate.ToShortDateString());
-                strcmd.AppendFormat(", '{0}'", data.RequestName.ToString());
+                strcmd.AppendFormat(", {0}", SeparateString(data.RequestName.ToString()));
                 strcmd.AppendFormat(", {0}", data.TotalAmount.ToString());    
                 strcmd.AppendFormat(", {0}", data.TaxAmount.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Comment1.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Comment2.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Comment3.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Comment4.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Comment5.ToString());
+                strcmd.AppendFormat(", {0}", SeparateString(data.Comment1.ToString()));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Comment2.ToString()));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Comment3.ToString()));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Comment4.ToString()));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Comment5.ToString()));
                 strcmd.AppendFormat(", {0}", data.CompleteFlg.ToString());
                 strcmd.AppendFormat(", {0}", data.DeleteFlg.ToString());
                 strcmd.Append(", NOW()");
@@ -247,14 +303,14 @@
                 strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo.ToString());
                 strcmd.AppendFormat(", CretateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CretateDate.ToShortDateString());
                 strcmd.AppendFormat(", RequestDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.RequestDate.ToShortDateString());
-                strcmd.AppendFormat(", RequestName = '{0}'", data.RequestName.ToString());
+                strcmd.AppendFormat(", RequestName = {0}", SeparateString(data.RequestName.ToString()));
                 strcmd.AppendFormat(", TotalAmount = {0}", data.TotalAmount.ToString());
                 strcmd.AppendFormat(", TaxAmount = {0}", data.TaxAmount.ToString());
-                strcmd.AppendFormat(", Comment1 = '{0}'", data.Comment1.ToString());
-                strcmd.AppendFormat(", Comment2 = '{0}'", data.Comment2.ToString());
-                strcmd.AppendFormat(", Comment3 = '{0}'", data.Comment3.ToString());
-                strcmd.AppendFormat(", Comment4 = '{0}'", data.Comment4.ToString());
-                strcmd.AppendFormat(", Comment5 = '{0}'", data.Comment5.ToString());
+                strcmd.AppendFormat(", Comment1 = {0}", SeparateString(data.Comment1.ToString()));
+                strcmd.AppendFormat(", Comment2 = {0}", SeparateString(data.Comment2.ToString()));
+                strcmd.AppendFormat(", Comment3 = {0}", SeparateString(data.Comment3.ToString()));
+                strcmd.AppendFormat(", Comment4 = {0}", SeparateString(data.Comment4.ToString()));
+                strcmd.AppendFormat(", Comment5 = {0}", SeparateString(data.Comment5.ToString()));
                 strcmd.AppendFormat(", CompleteFlg = {0}", data.CompleteFlg.ToString());
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg.ToString());
                 strcmd.Append(", UpdateDate = NOW()");
@@ -462,8 +518,7 @@
 
             try
             {
-                //sql.AppendFormat("SELECT IFNULL(MAX(InvoiceNo),0) FROM InvoiceData WHERE RequestMonth = {0}", RequestMonth);
-                sql.AppendFormat("SELECT IFNULL(MAX(InvoiceNo), {0}) + 1 As NewReqNo FROM RequestHead AS A", RequestMonth * 1000);
+                sql.AppendFormat("SELECT IFNULL(MAX(InvoiceNo), {0}) + 1 As NewReqNo FROM INVOICEDATA AS A", RequestMonth * 1000);
                 sql.AppendFormat(" WHERE REQUESTMONTH = {0}", RequestMonth);
 
                 // SQL実行
@@ -473,22 +528,6 @@
                 object[] objwrk = (object[])arData[0];
                 ret = int.Parse(objwrk[0].ToString());
 
-                //// データセット
-                //foreach (object[] objwrk in arData)
-                //{
-                //    ret = int.Parse(objwrk[0].ToString());
-                //    break;
-                //}
-
-                //if (ret > 0)
-                //{
-                //    ret++;
-                //}
-                //else
-                //{
-                //    ret = (RequestMonth * 1000) + 1;
-                //}
-
             }
             catch (Exception ex)
             {
@@ -537,38 +576,6 @@
 
         }
         #endregion
-
-        #region SELECT　SQL作成
-        private string CreateSelectSQL()
-        {
-            StringBuilder strcmd = new StringBuilder();
-
-            strcmd.Append("SELECT ");
-
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(NameColumn)))
-            {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
-            }
-
-            strcmd.Append(" FROM InvoiceData");
-
-            return strcmd.ToString();
-        }
-        #endregion
-
-
     }
 
 }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBudgetSumCode.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBudgetSumCode.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBudgetSumCode.cs	(revision 484)
@@ -182,11 +182,11 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat(" {0}", work.BlockCode);                // ブロック番号
-                strcmd.AppendFormat(", {0}", work.GroupCode);               // グループ番号
-                strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
-                strcmd.AppendFormat(", {0}", work.ItemCode);                // 工種キー
-                strcmd.AppendFormat(",'{0}'", work.ElementsName);           // 構成名称
+                strcmd.AppendFormat(" {0}", work.BlockCode);                        // ブロック番号
+                strcmd.AppendFormat(", {0}", work.GroupCode);                       // グループ番号
+                strcmd.AppendFormat(", {0}", work.ComponentCode);                   // 構成キー
+                strcmd.AppendFormat(", {0}", work.ItemCode);                        // 工種キー
+                strcmd.AppendFormat(", {0}", SeparateString(work.ElementsName));    // 構成名称
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -232,11 +232,11 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat(" {0}", work.BlockCode);                // ブロック番号
-                    strcmd.AppendFormat(", {0}", work.GroupCode);               // グループ番号
-                    strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
-                    strcmd.AppendFormat(", {0}", work.ItemCode);                // 工種キー
-                    strcmd.AppendFormat(",'{0}'", work.ElementsName);           // 構成名称
+                    strcmd.AppendFormat(" {0}", work.BlockCode);                        // ブロック番号
+                    strcmd.AppendFormat(", {0}", work.GroupCode);                       // グループ番号
+                    strcmd.AppendFormat(", {0}", work.ComponentCode);                   // 構成キー
+                    strcmd.AppendFormat(", {0}", work.ItemCode);                        // 工種キー
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ElementsName));    // 構成名称
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -274,11 +274,11 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" BlockCode = {0}", data.BlockCode);            // ブロック番号
-                strcmd.AppendFormat(", GroupCode = {0}", data.GroupCode);           // グループ番号
-                strcmd.AppendFormat(", ComponentCode = {0}", data.ComponentCode);   // 構成キー
-                strcmd.AppendFormat(", ItemCode = {0}", data.ItemCode);             // 工種キー
-                strcmd.AppendFormat(", ElementsName = '{0}'", data.ElementsName);   // 構成名称
+                strcmd.AppendFormat(" BlockCode = {0}", data.BlockCode);                        // ブロック番号
+                strcmd.AppendFormat(", GroupCode = {0}", data.GroupCode);                       // グループ番号
+                strcmd.AppendFormat(", ComponentCode = {0}", data.ComponentCode);               // 構成キー
+                strcmd.AppendFormat(", ItemCode = {0}", data.ItemCode);                         // 工種キー
+                strcmd.AppendFormat(", ElementsName = {0}", SeparateString(data.ElementsName)); // 構成名称
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -350,7 +350,7 @@
                         strcmd.AppendFormat(" ItemCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ElementsName:                // 構成名称
-                        strcmd.AppendFormat(" ElementsName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ElementsName = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs	(revision 484)
@@ -129,7 +129,7 @@
 
                     strcmd.AppendFormat("  {0}", work.BusinessTypeCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.BusinessTypeName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.BusinessTypeName));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -169,7 +169,7 @@
 
                 strcmd.AppendFormat(" BusinessTypeCode = {0}", data.BusinessTypeCode.ToString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",BusinessTypeName = '{0}'", data.BusinessTypeName);
+                strcmd.AppendFormat(",BusinessTypeName = {0}", SeparateString(data.BusinessTypeName));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs	(revision 484)
@@ -128,7 +128,7 @@
                     strcmd.AppendFormat("  {0}", work.NameCode.ToString());
                     strcmd.AppendFormat(", {0}", work.CategoryCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.CategoryName.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CategoryName.ToString()));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
                     strcmd.Append(", NOW()");
@@ -167,7 +167,7 @@
                 strcmd.AppendFormat(" NameCode = {0}", data.NameCode.ToString());
                 strcmd.AppendFormat(",CategoryCode = {0}", data.CategoryCode.ToString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",CategoryName ='{0}'", data.CategoryName.ToString());
+                strcmd.AppendFormat(",CategoryName = {0}", SeparateString(data.CategoryName.ToString()));
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMChgChargeDep.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMChgChargeDep.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMChgChargeDep.cs	(revision 484)
@@ -56,6 +56,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("StartDate") || strWork.Equals("CompDate"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 担当者部署履歴データ検索文字列作成
         /// <summary>
         /// 担当者部署履歴データ検索文字列作成
@@ -66,20 +108,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append("  PersonCode");
-            strcmd.Append(", DATE_FORMAT(StartDate, '%Y/%m/%d')");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM ChgChargeDep", CreateFieldNameList());
 
-            strcmd.Append(", DATE_FORMAT(CompDate, '%Y/%m/%d')");
-            strcmd.Append(", DepartmentCode");
-            strcmd.Append(", DepartmentName");
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-
-            strcmd.Append(" FROM ChgChargeDep");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -192,7 +231,7 @@
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}', '%Y/%m/%d')", work.CompDate.ToShortDateString());
                 strcmd.AppendFormat(", {0}", work.DepartmentCode);
-                strcmd.AppendFormat(",'{0}'", work.DepartmentName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.DepartmentName));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -243,7 +282,7 @@
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}', '%Y/%m/%d')", work.CompDate.ToShortDateString());
                     strcmd.AppendFormat(", {0}", work.DepartmentCode);
-                    strcmd.AppendFormat(",'{0}'", work.DepartmentName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.DepartmentName));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -287,7 +326,7 @@
                 strcmd.AppendFormat(", CompDate = STR_TO_DATE('{0}' ,'%Y/%m/%d')", data.CompDate.ToShortDateString());
 
                 strcmd.AppendFormat(", DepartmentCode = {0}", data.DepartmentCode);
-                strcmd.AppendFormat(", DepartmentName = '{0}'", data.DepartmentName);
+                strcmd.AppendFormat(", DepartmentName = {0}", SeparateString(data.DepartmentName));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -363,7 +402,7 @@
                         strcmd.AppendFormat(" DepartmentCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnCnt.DepartmentName:
-                        strcmd.AppendFormat(" DepartmentName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" DepartmentName = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs	(revision 484)
@@ -190,8 +190,8 @@
 
                     strcmd.AppendFormat("  {0}", work.LargeCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.LargeName);
-                    strcmd.AppendFormat(", '{0}'", work.CommentText);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.LargeName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CommentText));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -232,8 +232,8 @@
 
                 strcmd.AppendFormat(" LargeCode = {0}", data.LargeCode.ToString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",LargeName = '{0}'", data.LargeName);
-                strcmd.AppendFormat(",CommentText = '{0}'", data.CommentText);
+                strcmd.AppendFormat(",LargeName = {0}", SeparateString(data.LargeName));
+                strcmd.AppendFormat(",CommentText = {0}", SeparateString(data.CommentText));
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddle.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddle.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddle.cs	(revision 484)
@@ -195,8 +195,8 @@
                     strcmd.AppendFormat("  {0}", work.LargeCode.ToString());
                     strcmd.AppendFormat(", {0}", work.MiddleCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.MiddleName);
-                    strcmd.AppendFormat(", '{0}'", work.CommentText);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MiddleName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CommentText));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -238,8 +238,8 @@
                 strcmd.AppendFormat(" LargeCode = {0}", data.LargeCode.ToString());
                 strcmd.AppendFormat(" MiddleCode = {0}", data.MiddleCode.ToString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",MiddleName = '{0}'", data.MiddleName);
-                strcmd.AppendFormat(",CommentText = '{0}'", data.CommentText);
+                strcmd.AppendFormat(",MiddleName = {0}", SeparateString(data.MiddleName));
+                strcmd.AppendFormat(",CommentText = {0}", SeparateString(data.CommentText));
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
